<div *ngIf="sessionUser">
  <table class="table is-bordered is-striped" *ngIf="sessionUser.role == Role.USER || sessionUser.role == Role.ADMIN">
    <thead>
    <tr>
      <th>Username</th>
      <th>Last Name</th>
      <th>First Name</th>
      <th>User-Role</th>
      <th>Email</th>
      <th>Phone</th>
      <th *ngIf="sessionUser.role == Role.ADMIN">Actions</th>
    </tr>
    </thead>

    <tbody>
    <tr *ngFor="let user of users">
      <td>{{ user.username }}</td>
      <td>{{ user.lastname }}</td>
      <td>{{ user.firstname }}</td>
      <td>{{ user.role }}</td>
      <td>{{ user.email }}</td>
      <td>{{ user.phone }}</td>
      <td *ngIf="sessionUser.role == Role.ADMIN">
        <div *ngIf="user.role == Role.USER">
          <button (click)="appointAdmin(user)">Appoint to Administrator</button>
        </div>
        <div *ngIf="user.role == Role.GUEST">
          <button (click)="confirmGuest(user)">Confirm as User</button>
        </div>
      </td>
    </tr>
    </tbody>

  </table>
</div>





